Bug 802625 - Installation Program Does Not Support NTFS For Hard Drive Installation
Installation Program Does Not Support NTFS For Hard Drive Installation
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 01:47 EDT by Ma Hsiao-chun
Modified: 2012-03-20 09:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-20 08:50:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma Hsiao-chun 2012-03-13 01:47:32 EDT
According to the documentation of both RHEL and Fedora. The Installation Program cannot find and utilize images in an NTFS partition.
http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Installation_Guide/s1-steps-hd-installs-x86.html
http://docs.fedoraproject.org/en-US/Fedora/16/html/Installation_Guide/s1-steps-hd-installs-x86.html

I hope you can add NTFS support Installation Program. May be the Installation Kernel is more accurate.

Rationale 1.
Most Microsoft Windows people today use NTFS exclusively. Enabling Hard Drive Installation for such people would make switching to RHEL or Fedora more smooth.

Rationale 2.
Installation Program would read NTFS partition only. Therefore it should be quite safe.
Comment 2 Chris Lumens 2012-03-19 17:12:09 EDT
We cannot include this support in RHEL.  Sorry.
Comment 3 Ma Hsiao-chun 2012-03-19 22:32:13 EDT
(In reply to comment #2)
> We cannot include this support in RHEL.  Sorry.

Why?

Some other distributions do offer win32 installation option.
http://goodbye-microsoft.com/
http://en.opensuse.org/SDB:Instlux
http://www.ubuntu.com/download/ubuntu/windows-installer
Comment 4 Chris Lumens 2012-03-20 08:50:21 EDT
NTFS support is a legal grey area, so we do not want to get into that.
Comment 5 Ma Hsiao-chun 2012-03-20 09:00:22 EDT
(In reply to comment #4)
> NTFS support is a legal grey area, so we do not want to get into that.

Thank you very much. I got it.

Note You need to log in before you can comment on or make changes to this bug.